Returns the current user and workspace.

GEThttps://api.awork.com/api/v1/me
GET https://api.awork.com/api/v1/me

Returns the current user's profile together with the selected workspace.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Responses

200 OK

application/json

firstNamestring or nullOptional
minLength: 0 maxLength: 1000

The firstname of the user.

lastNamestring or nullOptional
minLength: 0 maxLength: 1000

The lastname of the user.

birthDatestring or nullOptional
format: date-time

The birthdate of the user.

genderstring or nullOptional
minLength: 0 maxLength: 25

The gender of the user.

titlestring or nullOptional
minLength: 0 maxLength: 100

The title of the user.

positionstring or nullOptional
minLength: 0 maxLength: 1000

The position of the user.

languagestring or nullOptional
minLength: 0 maxLength: 25

The language preference of the user in ISO 639-1 format.

idstringOptional
format: uuid

The id of the user.

statusobjectOptional

The status of the user.

Show 2 properties
invitationAcceptedbooleanOptional

Flag if the user in this workspace accepted the invitation.

isDeactivatedbooleanOptional

Whether the user is deactivated.

createdOnstringOptional
format: date-time

The date this user was created.

createdBystringOptional
format: uuid

The id of the user who created this user.

updatedOnstringOptional
format: date-time

The date when this user was last updated.

updatedBystringOptional
format: uuid

The id of the user who updated the entity.

isArchivedbooleanOptional

Whether this user is archived. Archived users are automatically inactive and only exist for reference purposes.

isDeactivatedbooleanOptional

Whether the user has been deactivated.

deactivatedOnstring or nullOptional
format: date-time

The date the user was deactivated.

deletedOnstring or nullOptional
format: date-time

The date the user was deleted (soft delete).

hasImagebooleanOptional

Whether the user has uploaded a profile image.

shouldMigrateToConnectbooleanOptional

Whether the user should be migrated to Connect.

userContactInfosarray of object or nullOptional

The contact information assigned to this user.

Show 16 properties
labelstring or nullOptional
minLength: 0 maxLength: 1000

The label of the contact info. Only necessary if type 'custom' is used.

valuestring or nullOptional
minLength: 0 maxLength: 1000

The value of the contact info.

typestring or nullOptional
minLength: 0 maxLength: 25

The type of the contact info. Possible values are: phone, email, address, messenger, social, urls.

subTypestring or nullOptional
minLength: 0 maxLength: 25

The subtype of the contact info, Possible values are: Phone: [ 'work', 'mobile', 'home', 'work Fax', 'fax', 'other' ] Email: [ 'work', 'private', 'other' ] address: [ 'work', 'home', 'other' ] Messenger: [ 'skype', 'whatsapp', 'other' ] social: [ 'facebook', 'twitter', 'xing', 'linkedIn', 'instagram', 'pinterest', 'other' ] urls: [ 'work', 'private', 'gitHub', 'other' ].

addressLine1string or nullOptional
minLength: 0 maxLength: 1000

The first Address line of the address.

addressLine2string or nullOptional
minLength: 0 maxLength: 100

The second address line of the contact info.

zipCodestring or nullOptional
minLength: 0 maxLength: 100

The Zipcode of the contact info.

citystring or nullOptional
minLength: 0 maxLength: 100

The city of the contact info.

statestring or nullOptional
minLength: 0 maxLength: 100

The state of the contact info.

countrystring or nullOptional
minLength: 0 maxLength: 100

The 2 letter iso code of the country.

isAddressbooleanOptional

Flags whether this contactinfo is an address or not. If its an address, the address fields are required.

idstringOptional
format: uuid

The Id of the contact info.

createdOnstringOptional
format: date-time

The creation date.

createdBystring or nullOptional
format: uuid

The id of the user who created the entity.

updatedOnstringOptional
format: date-time

The date when the entity was updated.

updatedBystring or nullOptional
format: uuid

the id of the user who updated the entity.

resourceVersionintegerOptional
format: int64

The version of the entity, updated on every modification, to the ticks in UTC. Not identical to UpdatedOn.

tagsarray of object or nullOptional

The tags of this user.

Show 3 properties
idstringOptional
format: uuid
namestring or nullOptional

The name of the tag.

colorstring or nullOptional

The color of the tag.

teamsarray of object or nullOptional

The teams the user is associated to.

Show 4 properties
idstringOptional
format: uuid

The id of the team.

namestring or nullOptional

The name of the team.

iconstring or nullOptional

The icon which is assigned to the team.

colorstring or nullOptional

The color of the team.

isExternalbooleanOptional

True if this entity is coming from an external workspace (awork Connect).

accountIdstring or nullOptional
format: uuid

The account id of the user. Only used internally.

workspaceobjectOptional

The user's current workspace model.

Show 3 properties
idstringOptional
format: uuid

The id of the current workspace.

namestring or nullOptional

The name of the current workspace.

urlstring or nullOptional

The default URL of the current workspace.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation